Bug 982018 - [abrt] fprintd-0.5.0-1.fc19: g_realloc: Process /usr/libexec/fprintd was killed by signal 6 (SIGABRT)
[abrt] fprintd-0.5.0-1.fc19: g_realloc: Process /usr/libexec/fprintd was kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fprintd (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:c2a495b48110b814f9ce966f929...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 15:26 EDT by Germán Racca
Modified: 2015-02-17 10:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:56:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.24 KB, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: cgroup (160 bytes, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: core_backtrace (2.84 KB, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: dso_list (2.90 KB, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: environ (114 bytes, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: maps (15.01 KB, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: open_fds (576 bytes, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: proc_pid_status (894 bytes, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details
File: var_log_messages (12.37 KB, text/plain)
2013-07-07 15:26 EDT, Germán Racca
no flags Details

  None (edit)
Description Germán Racca 2013-07-07 15:26:04 EDT
Description of problem:
This happened when I was configurin my fingerprint reader Validity VFS301 (I was swiping my finger).

More info:

$ lsusb -d 138a:0008 -v
Bus 001 Device 004: ID 138a:0008 Validity Sensors, Inc. VFS300 Fingerprint Reader
Couldn't open device, some information will be missing
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass          255 Vendor Specific Class
  bDeviceSubClass        16 
  bDeviceProtocol       255 
  bMaxPacketSize0         8
  idVendor           0x138a Validity Sensors, Inc.
  idProduct          0x0008 VFS300 Fingerprint Reader
  bcdDevice            c.90
  iManufacturer           0 
  iProduct                0 
  iSerial                 1 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           39
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0


Version-Release number of selected component:
fprintd-0.5.0-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/fprintd
crash_function: g_realloc
executable:     /usr/libexec/fprintd
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_realloc at gmem.c:224
 #7 g_string_maybe_expand at gstring.c:107
 #8 g_string_sized_new at gstring.c:132
 #9 g_string_new at gstring.c:152
 #10 g_log_default_handler at gmessages.c:1329
 #13 enroll_stage_cb at device.c:995
 #14 fpi_imgdev_report_finger_status at imgdev.c:147
 #15 m_loop_state at drivers/vfs301.c:167
 #17 handle_timeout at poll.c:174
 #18 fp_handle_events_timeout at poll.c:218

Potential duplicate: bug 903641
Comment 1 Germán Racca 2013-07-07 15:26:08 EDT
Created attachment 770130 [details]
File: backtrace
Comment 2 Germán Racca 2013-07-07 15:26:11 EDT
Created attachment 770131 [details]
File: cgroup
Comment 3 Germán Racca 2013-07-07 15:26:14 EDT
Created attachment 770132 [details]
File: core_backtrace
Comment 4 Germán Racca 2013-07-07 15:26:17 EDT
Created attachment 770133 [details]
File: dso_list
Comment 5 Germán Racca 2013-07-07 15:26:19 EDT
Created attachment 770134 [details]
File: environ
Comment 6 Germán Racca 2013-07-07 15:26:22 EDT
Created attachment 770135 [details]
File: limits
Comment 7 Germán Racca 2013-07-07 15:26:27 EDT
Created attachment 770136 [details]
File: maps
Comment 8 Germán Racca 2013-07-07 15:26:29 EDT
Created attachment 770137 [details]
File: open_fds
Comment 9 Germán Racca 2013-07-07 15:26:32 EDT
Created attachment 770138 [details]
File: proc_pid_status
Comment 10 Germán Racca 2013-07-07 15:26:36 EDT
Created attachment 770139 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 13:44:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:56:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.